package org.brapi.test.BrAPITestServer.model.dto.geno;

public class GenomeMapWriteRequest {
    private String mapDbId;
    private String mapName;
    private String mapPUI;
    private String commonCropName;
    private String scientificName;
    private String type;
    private String unit;
    private String comments;
    private String documentationURL;
    private String publishedDate;

    public String getMapDbId() {
        return mapDbId;
    }

    public void setMapDbId(String mapDbId) {
        this.mapDbId = mapDbId;
    }

    public String getMapName() {
        return mapName;
    }

    public void setMapName(String mapName) {
        this.mapName = mapName;
    }

    public String getMapPUI() {
        return mapPUI;
    }

    public void setMapPUI(String mapPUI) {
        this.mapPUI = mapPUI;
    }

    public String getCommonCropName() {
        return commonCropName;
    }

    public void setCommonCropName(String commonCropName) {
        this.commonCropName = commonCropName;
    }

    public String getScientificName() {
        return scientificName;
    }

    public void setScientificName(String scientificName) {
        this.scientificName = scientificName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getDocumentationURL() {
        return documentationURL;
    }

    public void setDocumentationURL(String documentationURL) {
        this.documentationURL = documentationURL;
    }

    public String getPublishedDate() {
        return publishedDate;
    }

    public void setPublishedDate(String publishedDate) {
        this.publishedDate = publishedDate;
    }
}
